Search results

  1. A

    Plz Help Cant Play Not Installer Prob

    plz help when i go to join a game it says that my esf exicutable is out of date but i just downloaded and installed beta 1 also my halflife version is 1.1.1.0 any ideas bout whats wrong?
Top